'use strict'

const { test } = use('Test/Suite')('Users')
const Child = use('App/Models/Child');
const User = use('App/Models/User');
const UserUtils = use('App/Utils/UserUtils');

test('User is deleted', async({ assert }) => {

    const user = await User.create({
        email: 'test@mail.com',
        name: 'test',
        password: 'password',
        avatar: `/images/default-user-avatar.png`,
        is_admin: false
    });
    await user.save();

    const newUser = await User.query().where({ name: 'test' }).fetch();
    assert.equal(newUser.rows.length, 1)

    await UserUtils.deleteUser(newUser.rows[0].id)

    const usersAfterDel = await User.query().where({ name: 'test' }).fetch();
    assert.equal(usersAfterDel.rows.length, 0)
})